# MatAssembled

Indicates if a matrix has been assembled and is ready for use; for example, in matrix-vector product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatAssembled(Mat mat,PetscTruth *assembled)

Collective on Mat

### Input Parameter

mat -the matrix

### Output Parameter

assembled -PETSC_TRUE or PETSC_FALSE

### See Also

MatAssemblyEnd(), MatSetValues(), MatAssemblyBegin()

Level:advanced
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex26.c.html
src/ts/examples/tutorials/util2.c.html